Last Comment Bug 738812 - Intermittent TEST-UNEXPECTED-FAIL | browser/docshell/test/browser/browser_bug435325.js or content/events/test/test_bug336682_1.html | Exited with code 1 during test run [@ nsHttpConnectionMgr::ReadTimeoutTick]
: Intermittent TEST-UNEXPECTED-FAIL | browser/docshell/test/browser/browser_bug...
Status: RESOLVED FIXED
[test which aborts the suite][qa-]
: crash, intermittent-failure
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: 14 Branch
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Patrick McManus [:mcmanus]
:
:
Mentors:
Depends on:
Blocks: 438871 739029 739762 744788
  Show dependency treegraph
 
Reported: 2012-03-23 14:37 PDT by Matt Brubeck (:mbrubeck)
Modified: 2012-11-25 19:31 PST (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed
fixed


Attachments
patch 0 (5.13 KB, patch)
2012-04-09 15:05 PDT, Patrick McManus [:mcmanus]
honzab.moz: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2012-03-23 14:37:16 PDT
TEST-START | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js
++DOCSHELL 0x4abbfe0 == 30 [id = 3080]
++DOMWINDOW == 98 (0x47249e8) [serial = 8031] [outer = (nil)]
++DOMWINDOW == 99 (0x80c42c8) [serial = 8032] [outer = 0x4724970]
WARNING: NS_ENSURE_TRUE(mMutable) failed: file /builds/slave/m-in-lnx64-dbg/build/netwerk/base/src/nsSimpleURI.cpp, line 293
###!!! ABORT: wrong thread: 'PR_GetCurrentThread() == gSocketThread', file /builds/slave/m-in-lnx64-dbg/build/netwerk/protocol/http/nsHttpConnectionMgr.cpp, line 1987
std::vector<unsigned short, std::allocator<unsigned short> >::resize(unsigned long, unsigned short) (/home/cltbld/talos-slave/test/build/firefox/libxul.so)
XRE_AddStaticComponent (/home/cltbld/talos-slave/test/build/firefox/libxul.so)
XRE_AddStaticComponent (/home/cltbld/talos-slave/test/build/firefox/libxul.so)
XRE_AddStaticComponent (/home/cltbld/talos-slave/test/build/firefox/libxul.so)
std::vector<unsigned int, std::allocator<unsigned int> >::resize(unsigned long, unsigned int) (/home/cltbld/talos-slave/test/build/firefox/libxul.so)
XRE_AddStaticComponent (/home/cltbld/talos-slave/test/build/firefox/libxul.so)
PR_Select (/home/cltbld/talos-slave/test/build/firefox/libnspr4.so)
UNKNOWN  (/lib64/libpthread.so.0)
clone+0x0000006D  (/lib64/libc.so.6)
###!!! ABORT: wrong thread: 'PR_GetCurrentThread() == gSocketThread', file /builds/slave/m-in-lnx64-dbg/build/netwerk/protocol/http/nsHttpConnectionMgr.cpp, line 1987
++DOMWINDOW == 100 (0x95af7f8) [serial = 8033] [outer = 0x4724970]
--DOCSHELL 0x3acc480 == 29 [id = 3057]
WARNING: shutting down early because of crash!: file /builds/slave/m-in-lnx64-dbg/build/dom/plugins/ipc/PluginModuleChild.cpp, line 743
WARNING: plugin process _exit()ing: file /builds/slave/m-in-lnx64-dbg/build/dom/plugins/ipc/PluginModuleChild.cpp, line 708
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:18:44.526552
INFO | automation.py | Reading PID log: /tmp/tmp9pz-ORpidlog
==> process 2409 launched child process 2493
INFO | automation.py | Checking for orphan process with PID: 2493
Downloading symbols from: http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-inbound-linux64-debug/1332518773/firefox-14.0a1.en-US.linux-x86_64.crashreporter-symbols.zip
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Crash dump filename: /tmp/tmpmjazKd/minidumps/20c714cb-9e3b-2518-6fcdd29b-0ee15e90.dmp
Operating system: Linux
                  0.0.0 Linux 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64
CPU: amd64
     family 6 model 23 stepping 10
     2 CPUs

Crash reason:  SIGSEGV
Crash address: 0x0

Thread 3 (crashed)
 0  libmozalloc.so!TouchBadMemory [mozalloc_abort.cpp:93fc7bf5e5be : 68 + 0x0]
    rbx = 0xd3172d78   r12 = 0x02f46790   r13 = 0xd3172d78   r14 = 0x02f46790
    r15 = 0x120d18da   rip = 0x1470a0d9   rsp = 0x02f46750   rbp = 0x02f46770
    Found by: given as instruction pointer in context
 1  libmozalloc.so!mozalloc_abort [mozalloc_abort.cpp:93fc7bf5e5be : 89 + 0x4]
    rbx = 0xd3172d78   r12 = 0x02f46790   r13 = 0xd3172d78   r14 = 0x02f46790
    r15 = 0x120d18da   rip = 0x1470a115   rsp = 0x02f46760   rbp = 0x02f46770
    Found by: call frame info
 2  libxul.so!NS_DebugBreak_P [nsDebugImpl.cpp:93fc7bf5e5be : 388 + 0x4]
    rbx = 0x02f46b80   r12 = 0x02f46790   r13 = 0xd3172d78   r14 = 0x02f46790
    r15 = 0x120d18da   rip = 0x11a715ab   rsp = 0x02f46780   rbp = 0x02f46bc0
    Found by: call frame info
 3  libxul.so!nsHttpConnectionMgr::ReadTimeoutTick [nsHttpConnectionMgr.cpp:93fc7bf5e5be : 1987 + 0x32]
    rbx = 0x00ec3fe0   r12 = 0xf4001920   r13 = 0x120f4618   r14 = 0x00000003
    r15 = 0x00000000   rip = 0x10cb0dd5   rsp = 0x02f46bd0   rbp = 0x02f46be0
    Found by: call frame info
 4  libxul.so!nsHttpConnectionMgr::Observe [nsHttpConnectionMgr.cpp:93fc7bf5e5be : 274 + 0x7]
    rbx = 0x00ec3fe0   r12 = 0xf4001920   r13 = 0x120f4618   r14 = 0x00000003
    r15 = 0x00000000   rip = 0x10cb30bb   rsp = 0x02f46bf0   rbp = 0x02f46c20
    Found by: call frame info
 5  libxul.so!nsTimerImpl::Fire [nsTimerImpl.cpp:93fc7bf5e5be : 516 + 0x15]
    rbx = 0xf4001920   r12 = 0x00ec3fe0   r13 = 0x00000003   r14 = 0x00000003
    r15 = 0x00000000   rip = 0x11a6cb60   rsp = 0x02f46c30   rbp = 0x02f46cd0
    Found by: call frame info
 6  libxul.so!nsTimerEvent::Run [nsTimerImpl.cpp:93fc7bf5e5be : 591 + 0x10]
    rbx = 0x00a4fe28   r12 = 0x0000cae2   r13 = 0x00000000   r14 = 0xffffffff
    r15 = 0x02f46dff   rip = 0x11a6ccca   rsp = 0x02f46ce0   rbp = 0x02f46d20
    Found by: call frame info
 7  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:93fc7bf5e5be : 657 + 0xd]
    rbx = 0x00c3c1e0   r12 = 0x02f46d00   r13 = 0x00000000   r14 = 0xffffffff
    r15 = 0x02f46dff   rip = 0x11a68c8b   rsp = 0x02f46d30   rbp = 0x02f46de0
    Found by: call frame info
 8  libxul.so!NS_ProcessPendingEvents_P [nsThreadUtils.cpp:93fc7bf5e5be : 195 + 0xd]
    rbx = 0x00c3c1e0   r12 = 0x02f46dff   r13 = 0x4091a679   r14 = 0xffffffff
    r15 = 0x00000003   rip = 0x11a272c2   rsp = 0x02f46df0   rbp = 0x02f46e30
    Found by: call frame info
 9  libxul.so!nsThread::ThreadFunc [nsThread.cpp:93fc7bf5e5be : 308 + 0xa]
    rbx = 0x02f46e40   r12 = 0x00c3c1e0   r13 = 0x00c3c200   r14 = 0x02f46e50
    r15 = 0x00000003   rip = 0x11a67e9f   rsp = 0x02f46e40   rbp = 0x02f46ea0
Comment 1 Matt Brubeck (:mbrubeck) 2012-03-23 14:38:44 PDT
Forgot to paste the log link:
https://tbpl.mozilla.org/php/getParsedLog.php?id=10320105&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-23 09:47:31 PDT for push 93fc7bf5e5be
Comment 3 Treeherder Robot 2012-03-23 16:24:43 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10329969&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-23 15:25:15

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2456 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 4 :Ms2ger (⌚ UTC+1/+2) 2012-03-24 03:11:09 PDT
In content/events/test/test_bug336682_1.html:

https://tbpl.mozilla.org/php/getParsedLog.php?id=10343028&tree=Mozilla-Inbound
Comment 5 Treeherder Robot 2012-03-24 05:59:13 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10346311&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-24 05:02:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2488 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 6 Patrick McManus [:mcmanus] 2012-03-24 10:52:36 PDT
honza, at first glance this is really baffling.. I'm wondering if you have any ideas?

it is asserting that readtimeouttick is not being called on the socket thread.. but the timer is created on the socket thread and only ever init'd on the socket thread.. (those asserts don't go off, so we can be sure that happened ok).

indeed the stack trace is some other unknown thread - not the socket or main thread.

the test doesn't look like its trying to shut down or anything like that.
Comment 7 Treeherder Robot 2012-03-24 13:38:46 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10350673&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-24 12:24:28

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2503 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 8 Treeherder Robot 2012-03-25 12:45:29 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10359083&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test mochitest-other on 2012-03-25 11:09:42

12757 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/style/test/chrome/test_hover.html | Test timed out.
14124 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_bug437844.xul | :hover does not apply - got rgb(0, 255, 0), expected transparent
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2501 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 9 Treeherder Robot 2012-03-25 14:01:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10360116&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test mochitest-other on 2012-03-25 13:03:35

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2425 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 10 Treeherder Robot 2012-03-25 17:42:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10361449&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-03-25 16:48:49

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code -1073741819 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 11 Treeherder Robot 2012-03-25 21:20:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10363695&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test mochitest-other on 2012-03-25 19:41:31

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2449 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 12 Treeherder Robot 2012-03-26 10:16:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10374605&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-26 09:23:02

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2728 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 13 Treeherder Robot 2012-03-26 12:10:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10376993&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-26 11:07:06

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 32 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of GenericFactory with size 32 bytes
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2466 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 14 Treeherder Robot 2012-03-26 15:52:23 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10383705&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2012-03-26 14:59:03

13224 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug159346.xul | scrollbar didn't change curpos by mousemove after cursor is back on the scrollbar button #3
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2464 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 15 Treeherder Robot 2012-03-26 15:54:06 PDT
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=10383705&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2012-03-26 14:59:03

13224 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug159346.xul | scrollbar didn't change curpos by mousemove after cursor is back on the scrollbar button #3
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2464 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 16 Treeherder Robot 2012-03-26 17:47:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10387270&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-26 17:05:52

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2455 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 17 Treeherder Robot 2012-03-27 12:24:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10411104&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-27 11:32:27

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2489 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 18 Treeherder Robot 2012-03-27 15:27:48 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10416599&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-27 14:45:28

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2473 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 19 Treeherder Robot 2012-03-28 04:54:07 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10434219&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-28 03:13:29

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2482 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 20 Treeherder Robot 2012-03-28 04:54:11 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10434219&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-28 03:13:29

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2482 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 21 Treeherder Robot 2012-03-28 05:48:21 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10437108&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-28 05:02:17

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2507 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 22 Treeherder Robot 2012-03-28 09:03:30 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=10441171&tree=Fx-Team
Rev3 Fedora 12x64 fx-team debug test mochitest-other on 2012-03-28 08:18:45

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2450 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 23 Treeherder Robot 2012-03-28 09:03:34 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10441171&tree=Fx-Team
Rev3 Fedora 12x64 fx-team debug test mochitest-other on 2012-03-28 08:18:45

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2450 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 24 Patrick McManus [:mcmanus] 2012-03-28 09:08:46 PDT
Just to update, as I've had an off-zilla inquiry. This is on my radar for next week.

I'll also say when I first saw this signature I expected it to be randomly distributed across the testbase and its pretty interesting (and promising for a fix) that it is normally associated with a couple particular tests.
Comment 25 Treeherder Robot 2012-03-28 09:38:06 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10441422&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-28 08:30:49

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 32 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of GenericFactory with size 32 bytes
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2498 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 26 Treeherder Robot 2012-03-28 10:38:38 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10442998&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-28 09:43:30

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2518 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 27 Treeherder Robot 2012-03-28 12:31:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10445856&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-28 11:41:58

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2446 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 28 Treeherder Robot 2012-03-28 16:29:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10452450&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-28 15:31:04

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2510 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 29 Treeherder Robot 2012-03-28 16:29:31 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10452450&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-28 15:31:04

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2510 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 30 Treeherder Robot 2012-03-28 16:33:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10451451&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-28 14:55:52

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2476 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 31 Treeherder Robot 2012-03-28 22:19:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10459569&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-28 21:28:06

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2447 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 32 Treeherder Robot 2012-03-29 00:28:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10462553&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test mochitests-1/5 on 2012-03-29 00:04:39

TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_bug336682_1.html | Exited with code 1 during test run
PROCESS-CRASH | /tests/content/events/test/test_bug336682_1.html | application crashed (minidump found)
Thread 4 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 33 Treeherder Robot 2012-03-29 07:37:26 PDT
jwatt
https://tbpl.mozilla.org/php/getParsedLog.php?id=10472663&tree=Try
Rev3 Fedora 12x64 try debug test mochitest-other on 2012-03-29 06:45:36

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2481 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 34 Treeherder Robot 2012-03-29 08:04:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10473172&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test mochitests-1/5 on 2012-03-29 07:35:55

TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_bug336682_1.html | Exited with code 1 during test run
PROCESS-CRASH | /tests/content/events/test/test_bug336682_1.html | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2280 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 35 Treeherder Robot 2012-03-29 09:03:11 PDT
hurley
https://tbpl.mozilla.org/php/getParsedLog.php?id=10461269&tree=Try
Rev3 Fedora 12x64 try debug test mochitest-other on 2012-03-28 22:45:14

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2476 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 36 Treeherder Robot 2012-03-29 10:13:55 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10476477&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-29 09:24:02

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2484 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 37 Treeherder Robot 2012-03-29 10:59:08 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10477722&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-29 10:14:10

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2456 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 38 Treeherder Robot 2012-03-29 11:42:20 PDT
khuey
https://tbpl.mozilla.org/php/getParsedLog.php?id=10447181&tree=Larch
Rev3 Fedora 12x64 larch debug test mochitest-other on 2012-03-28 12:27:33

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2461 | automationutils.processLeakLog() | missing output line for total leaks!
4603 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_menu.xul | Test timed out.
Comment 39 Treeherder Robot 2012-03-29 12:47:18 PDT
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=10480655&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2012-03-29 11:57:45

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2469 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 40 Treeherder Robot 2012-03-29 20:56:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10491212&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-29 20:12:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2493 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 41 Treeherder Robot 2012-03-30 13:31:08 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=10510729&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2012-03-30 12:39:34

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2464 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 42 Treeherder Robot 2012-03-30 15:18:03 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10514042&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-30 14:21:29

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2479 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
4603 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_menu.xul | Test timed out.
Comment 43 Treeherder Robot 2012-03-30 15:38:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10514782&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-30 14:46:05

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2681 | automationutils.processLeakLog() | missing output line for total leaks!
4603 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_menu.xul | Test timed out.
Comment 44 Treeherder Robot 2012-03-30 23:46:03 PDT
jst
https://tbpl.mozilla.org/php/getParsedLog.php?id=10524105&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-03-30 22:32:58

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2522 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 45 Treeherder Robot 2012-04-01 02:24:39 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=10538602&tree=Try
Rev3 Fedora 12x64 try debug test mochitest-other on 2012-03-31 13:58:39

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2591 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 46 Treeherder Robot 2012-04-01 11:01:51 PDT
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=10552213&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2012-04-01 10:09:29

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2447 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 47 Treeherder Robot 2012-04-01 11:52:20 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10545388&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-01 00:09:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2964 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 48 Treeherder Robot 2012-04-01 16:37:58 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10555347&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-01 15:51:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2672 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 49 Treeherder Robot 2012-04-02 10:51:01 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10566472&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-02 08:08:39

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2555 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 50 Treeherder Robot 2012-04-02 14:45:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10576553&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-02 13:48:42

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2533 | automationutils.processLeakLog() | missing output line for total leaks!
4603 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_menu.xul | Test timed out.
Comment 51 Treeherder Robot 2012-04-02 21:03:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10587039&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-02 20:00:34

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2539 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 52 Treeherder Robot 2012-04-03 08:16:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10600304&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2012-04-03 07:16:33

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2498 | automationutils.processLeakLog() | missing output line for total leaks!
4603 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_menu.xul | Test timed out.
Comment 53 Treeherder Robot 2012-04-03 12:14:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10603313&tree=Build-System
Rev3 Fedora 12x64 build-system debug test mochitest-other on 2012-04-03 09:37:32

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2664 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 54 Treeherder Robot 2012-04-04 10:47:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10639527&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-04 09:41:21

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2459 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 55 Treeherder Robot 2012-04-04 12:37:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10642678&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-04 11:43:16

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2472 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 56 Treeherder Robot 2012-04-04 16:41:29 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=10649542&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-04 15:45:17

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2458 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 57 Treeherder Robot 2012-04-04 16:51:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10649542&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-04 15:45:17

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2458 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 58 Patrick McManus [:mcmanus] 2012-04-04 16:57:47 PDT
I thought I had this figured out today, but try disagrees with me :) However that failed run does have lots of debug added to it which I can use to keep working.

I'm only making this comment so people know I'm not treating this as ok-perma-orange
Comment 59 Treeherder Robot 2012-04-05 02:22:29 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=10645043&tree=Try
Rev3 Fedora 12x64 try debug test mochitest-other on 2012-04-04 13:14:00

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2462 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 60 Treeherder Robot 2012-04-05 07:47:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10664990&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-05 06:06:51

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The second script is no longer displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The second script is displayed again.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | The first script is no longer displayed.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2460 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 61 Treeherder Robot 2012-04-06 12:45:16 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=10706678&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2012-04-06 11:50:14

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2577 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 62 Treeherder Robot 2012-04-06 15:33:50 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10710816&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-06 14:46:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2537 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 63 Treeherder Robot 2012-04-07 04:55:51 PDT
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=10714440&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2012-04-06 17:14:41

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2480 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 64 Treeherder Robot 2012-04-09 07:35:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10745673&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-09 04:36:41

12036 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/js/xpconnect/tests/chrome/test_watchpoints.xul | Garbage gray watchpoint cycle should be collected.
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2439 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 66 Patrick McManus [:mcmanus] 2012-04-09 13:20:13 PDT
through some debugging annotations and many try runs of mochi-other on linux-64 I have learned that at the time of the assert the socket thread is complete but the connection manager has not yet shutdown (and has not yet received the begin-shutdown notification) which leaves the tick is still active
Comment 68 Patrick McManus [:mcmanus] 2012-04-09 15:05:04 PDT
Created attachment 613409 [details] [diff] [review]
patch 0

its possible for the socket transport service to shutdown before the connection manager. It actually does this all the time if you go offline.

In that case the readtimeouttick continued to try to tick until it determined that there were no active connections, when it disabled itself. but that was too late to do safely if the socket thread was already gone (as the number of active connections is designed to only be accessed on the socket thread).

The patch changes things to disable the timer tick any time the active connection count drops to zero instead of cleaning it up out of the tick itself. In the case with a long running active connection when the transport service goes away first (the tick is still removed by the connection manager shutdown routine if it goes away first) the transport actually detaches all active sockets which drives the count to 0 and disables the tick.
Comment 71 Treeherder Robot 2012-04-10 18:13:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10792627&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-10 17:27:06

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2450 | automationutils.processLeakLog() | missing output line for total leaks!
Comment 72 Treeherder Robot 2012-04-10 22:12:51 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10798659&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-10 21:16:16

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2500 | automationutils.processLeakLog() | missing output line for total leaks!
4598 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_menu.xul | Test timed out.
Comment 73 Treeherder Robot 2012-04-11 07:59:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10800182&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2012-04-10 22:24:42

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | plugin process 2531 | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 74 Honza Bambas (:mayhemer) 2012-04-11 09:44:37 PDT
Comment on attachment 613409 [details] [diff] [review]
patch 0

Review of attachment 613409 [details] [diff] [review]:
-----------------------------------------------------------------

r=honzab with a comment.

::: netwerk/protocol/http/nsHttpConnectionMgr.cpp
@@ +254,5 @@
>      }
>  }
>  
> +bool
> +nsHttpConnectionMgr::ConditionallyStopReadTimeoutTick()

This can be just void.  ConditionallyStopPruneDeadConnectionsTimer is the same.  It's confusing when a method does the thing but also returns a flag whether conditions to do the thing has been met (like the caller should do thing it self).  You are not using the result anywhere.
Comment 75 Patrick McManus [:mcmanus] 2012-04-11 10:22:22 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/69e021051aa5

> > +bool
> > +nsHttpConnectionMgr::ConditionallyStopReadTimeoutTick()
> 
> This can be just void. 

I made it void.
Comment 76 Treeherder Robot 2012-04-11 16:11:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10820770&tree=Services-Central
Rev3 Fedora 12x64 services-central debug test mochitest-other on 2012-04-11 12:30:50

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | Exited with code 1 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/docshell/test/browser/browser_bug435325.js | application crashed (minidump found)
Thread 3 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 2457 | automationutils.processLeakLog() | missing output line for total leaks!
4598 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_menu.xul | Test timed out.
Comment 78 Patrick McManus [:mcmanus] 2012-04-15 10:49:10 PDT
Comment on attachment 613409 [details] [diff] [review]
patch 0

This is one of a two patch series (bug 744788 and bug 738812) that should be accepted or declined for aurora atomically.

We've only seen this orange on FF14, but it can happen on FF13. The reason it is more prominent on 14 is the timer event is much more frequent there due to the pipelining changes introduced on 14, but the same timer is used by spdy on 13.

[Approval Request Comment]
Regression caused by (bug #): 728113
User impact if declined: potential crash risk during offline or shutdown
Testing completed (on m-c, etc.): m-c - orange cleared up.
Risk to taking this patch (and alternatives if risky): fairly low.
String changes made by this patch: none.
Comment 79 Lukas Blakk [:lsblakk] use ?needinfo 2012-04-16 15:25:23 PDT
Comment on attachment 613409 [details] [diff] [review]
patch 0

[Triage comment]
Low risk, clears up what sounds like intermittent orange on 13, please go ahead with landing.
Comment 80 Patrick McManus [:mcmanus] 2012-04-16 19:55:18 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/3b2a7ae981f7

Note You need to log in before you can comment on or make changes to this bug.